Get data from the bundle

- « ResourceBundle::getErrorMessage

- ResourceBundle::getLocales »

- PHP Manual
- ResourceBundle
- Get data from the bundle

# ResourceBundle::get

# resourcebundle_get

(PHP 5 >= 5.3.2, PHP 7, PHP 8, PECL intl >= 2.0.0)

ResourceBundle::get -- resourcebundle_get — Get data from the bundle

### Description

Object-oriented style

public ResourceBundle::get(string|int `$index`, bool `$fallback` = `true`): mixed

Procedural style

resourcebundle_get(ResourceBundle `$bundle`, string|int `$index`, bool `$fallback` = `true`): mixed

Get the data from the bundle by index or string key.

### Parameters

`bundle`

  ResourceBundle object.

`index`

  Data index, must be string or integer.

`fallback`

  Whether locale should match exactly or fallback to parent locale is allowed.

### Return Values

Returns the data located at the index or `null` on error. Strings, integers and binary data strings are returned as corresponding PHP types, integer array is returned as PHP array. Complex types are returned as ResourceBundle object.

### Examples

Example #1 resourcebundle_get() example

    <?php$r = resourcebundle_create( 'es', "/usr/share/data/myapp");echo resourcebundle_get($r, 'somestring');?>

Example #2 OO example

    <?php$r = new ResourceBundle( 'es', "/usr/share/data/myapp");echo $r->get('somestring');?>

The above example will output:

    ?Hola, mundo!

### See Also

- resourcebundle_count() - Get number of elements in the bundle